/*{{{*/
/*
class Foo
{
	function _newslot (key, val)
	{
		print ("call \"_newslot\"\n");
		print ("key = " + key + "\n");
		print ("val = " + val + "\n");
	}
};

local foo = Foo ();
foo . bar <- 10;
//*/
/*}}}*/

// メタメソッド定義を持つテーブル
local T =
{
	function _newslot (key, val)
	{
		print ("call \"_newslot\"\n");
		print ("key = " + key + "\n");
		print ("val = " + val + "\n");
	}
};


// delegate先にTを指定したテーブル
local t = delegate T :
{};


// スロット追加
t . foo <- 10;
