// グローバル変数
foo <- 100; // (a)
bar <- 200; // (b)


// 明示的にグローバル変数を参照する
{
	// ローカル変数
	local foo = 300;  // (c)
	local bar = 400;  // (d)

	// このprint関数は(c)と(d)を出力する
	print ("1:" + foo + "\n");
	print ("2:" + bar + "\n"); 

	// foo, barともにグローバル変数を見ることを明示し、それぞれ(a)と(b)を見る
	print ("3:" + ::foo + "\n");
	print ("4:" + ::bar + "\n");
}
